Package weka.gui.graphvisualizer

# Class BIFFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
weka.gui.graphvisualizer.BIFFormatException

All Implemented Interfaces:
  `Serializable`

public class BIFFormatException extends Exception
This is the Exception thrown by BIFParser, if there was an error in parsing the XMLBIF string or input stream.

Version:
  $Revision: 1.5 $ - 24 Apr 2003 - Initial version (Ashraf M. Kibriya)
Author:
  Ashraf M. Kibriya (amk14@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`BIFFormatException(String s)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BIFFormatException

public BIFFormatException(String s)